# List workspaces (one-time setup `GET /workspaces` **Required scope:** `workspaces:read` find your workspace id) ## Responses | Status | Meaning | |---|---| | `200` | Workspace list | ## Example ```bash curl -X GET "https://backend.immut.io/api/v1/workspaces" \ -H "Authorization: Bearer $IMMUT_API_KEY" ``` ## OpenAPI fragment ```json { "/workspaces": { "get": { "operationId": "listWorkspaces", "summary": "List workspaces (one-time setup: find your workspace id)", "description": "Requires scope workspaces:read.", "responses": { "200": { "description": "Workspace list", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" } } } } } } } } } }, "tags": [ "Workspaces" ], "x-required-scope": "workspaces:read" } } } ```